MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028181Open CASCADE[OCCT] OCCT:Documentationpublic2016-12-01 11:212017-09-29 16:25
Reportermzn 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028181: Documentation - update porting note with missing information
Description1. StdPrs_WFDeflectionShape class.

StdPrs_WFDeflectionShape class used by the application has been removed in OCCT-7.0.0.

There is no any recommendations about replacement for the removed class in the porting guide.
It would be perfect to have instructions for porting of the code which uses this class.

Used method:
void Add (const Handle (Prs3d_Presentation)& thePrs,
                        const TopoDS_Shape& theShape,
                        const Handle (Prs3d_Drawer)& theDrawer)

2. AIS_InteractiveObject::SetSelectionMode (const Standard_Integer aMode) method.

This method has been removed in OCCT-7.0.0. What changes to be applied to the code which used this method?
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025300closedski Open CASCADE Visualization - Build wireframe representation consistent with the shape's triangulation 

-  Notes
(0060965)
kgv (developer)
2016-12-01 12:15
edited on: 2016-12-01 12:15

Dear Anton,

please add a short note in porting guide that StdPrs_WFShape should be used
instead of removed tool StdPrs_WFDeflectionShape (which has been removed since it implemented duplicated functionality).

(0060979)
san (developer)
2016-12-01 16:14

Removed AIS_InteractiveObject::SetSelectionMode (const Standard_Integer aMode) method simply stored the passed integer value in the class field:

void AIS_InteractiveObject::SetSelectionMode(const Standard_Integer aMode)
{
  mySelectionMode = aMode;
}


Since it is possible to activate several selection modes for a given interactive object instance at the same time, this method contradicted with other AIS package API.
Applications that used this method should implement selection mode caching in the application code if it is necessary for normal operation.
(0061080)
git (administrator)
2016-12-05 13:53

Branch CR28181 has been created by kgv.

SHA-1: 5d8b721fd0cdfc557b1d4037291eef339790e909


Detailed log of new commits:

Author: kgv
Date: Mon Dec 5 13:53:37 2016 +0300

    0028181: Documentation - update porting note with missing information
    
    Added information about removed classes StdPrs_WFDeflectionShape,
    Prs3d_WFShape, StdPrs_ToolShadedShape and removed property
    AIS_InteractiveObject::SelectionMode().
(0061081)
kgv (developer)
2016-12-05 13:54

Patch is ready for review.
(0061114)
git (administrator)
2016-12-06 08:41

Branch CR28181 has been updated forcibly by kgv.

SHA-1: a889af2b925b8cb62b62e73d1b5f8393f9396e50
(0061124)
abv (manager)
2016-12-06 10:34

No remarks, please integrate (no testing is needed).

Mikhail, please check if the text is OK for your needs (see branch CR28181).
(0061806)
git (administrator)
2016-12-18 10:53

Branch CR28181 has been deleted by kgv.

SHA-1: a889af2b925b8cb62b62e73d1b5f8393f9396e50

- Related Changesets
occt: master a6994681
Timestamp: 2016-12-05 10:53:37
Author: kgv
Committer: apn
Details ] Diff ]
0028181: Documentation - update porting note with missing information

Added information about removed classes StdPrs_WFDeflectionShape,
Prs3d_WFShape, StdPrs_ToolShadedShape and removed property
AIS_InteractiveObject::SelectionMode().
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-01 11:21 mzn New Issue
2016-12-01 11:21 mzn Assigned To => kgv
2016-12-01 12:09 kgv Relationship added related to 0025300
2016-12-01 12:15 kgv Note Added: 0060965
2016-12-01 12:15 kgv Assigned To kgv => apl
2016-12-01 12:15 kgv Severity minor => trivial
2016-12-01 12:15 kgv Status new => assigned
2016-12-01 12:15 kgv Target Version => 7.2.0
2016-12-01 12:15 kgv Note Edited: 0060965 View Revisions
2016-12-01 15:17 mzn Summary Porting problem: it's not clear what class should be used instead of removed StdPrs_WFDeflectionShape class. => Porting problem: it's not clear what classes and methods should be used instead of removed ones.
2016-12-01 15:17 mzn Description Updated View Revisions
2016-12-01 15:47 kgv Category OCCT:Visualization => OCCT:Documentation
2016-12-01 15:47 kgv Summary Porting problem: it's not clear what classes and methods should be used instead of removed ones. => Documentation - update porting note with missing information
2016-12-01 15:48 kgv Relationship added related to 0026272
2016-12-01 16:14 san Note Added: 0060979
2016-12-05 13:53 git Note Added: 0061080
2016-12-05 13:54 kgv Note Added: 0061081
2016-12-05 13:54 kgv Assigned To apl => abv
2016-12-05 13:54 kgv Status assigned => resolved
2016-12-05 13:54 kgv Target Version 7.2.0 => 7.2.1
2016-12-05 13:54 kgv OS Debian 6.0 =>
2016-12-05 13:54 kgv OS Version 64 bit =>
2016-12-05 13:54 kgv Platform Linux =>
2016-12-06 08:41 git Note Added: 0061114
2016-12-06 10:34 abv Note Added: 0061124
2016-12-06 10:34 abv Assigned To abv => bugmaster
2016-12-06 10:34 abv Status resolved => reviewed
2016-12-06 16:23 mkv Assigned To bugmaster => mkv
2016-12-06 17:02 mkv Assigned To mkv => bugmaster
2016-12-06 17:02 mkv Status reviewed => tested
2016-12-06 17:02 mkv Test case number => Not needed
2016-12-06 17:02 mkv Target Version 7.2.1 => 7.2.0
2016-12-06 17:05 kgv Target Version 7.2.0 => 7.2.1
2016-12-09 16:46 apn Changeset attached => occt master a6994681
2016-12-09 16:46 apn Assigned To bugmaster => apn
2016-12-09 16:46 apn Status tested => verified
2016-12-09 16:46 apn Resolution open => fixed
2016-12-18 10:53 git Note Added: 0061806
2017-03-03 17:41 bugmaster Target Version 7.2.1 => 7.2.0
2017-03-06 11:56 bugmaster Target Version 7.2.0 => 7.2.1
2017-05-19 15:36 abv Target Version 7.2.1 => 7.2.0
2017-09-29 16:18 aiv Fixed in Version => 7.2.0
2017-09-29 16:25 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker